### Virtual Method

# EBackend UserPrompterServer prompt

#### Declaration [src]

    void
    prompt (
      EUserPrompterServer* server,
      gint id,
      const gchar* type,
      const gchar* title,
      const gchar* primary_text,
      const gchar* secondary_text,
      gboolean use_markup,
      const GSList* button_captions
    )

#### Description

No description available.

#### Parameters

`id`

  Type: `gint`

  No description available.

`type`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`primary_text`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`secondary_text`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`use_markup`

  Type: `gboolean`

  No description available.

`button_captions`

  Type: A list of `gpointer`

  No description available.

  The data is owned by the caller of the method.